Bug 143537 - [PATCH] lang/mono: mark MAKE_JOBS_UNSAFE
Summary: [PATCH] lang/mono: mark MAKE_JOBS_UNSAFE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Romain Tartière
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-04 00:40 UTC by Dmitry Marakasov
Modified: 2011-05-13 17:20 UTC (History)
1 user (show)

See Also:


Attachments
mono-2.4.3.1_1.patch (479 bytes, patch)
2010-02-04 00:40 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2010-02-04 00:40:02 UTC
Mark MAKE_JOBS_UNSAFE, fails with forced jobs:

http://people.freebsd.org/~amdmi3/mono-2.4.3.1_1.log

Port maintainer (mono@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-02-04 00:40:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mono

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2010-02-04 11:23:47 UTC
romain      2010-02-04 11:23:37 UTC

  FreeBSD ports repository

  Modified files:
    lang/mono            Makefile 
  Log:
  Mark MAKE_JOBS_UNSAFE.
  
  PR:             ports/143537
  Submitted by:   Dmitry Marakasov <amdmi3@amdmi3.ru>
  Approved by:    flz (mentor)
  
  Revision  Changes    Path
  1.90      +1 -0      ports/lang/mono/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ivan Klymenko 2011-05-13 13:59:55 UTC
I do not understand - this is the error message status is "closed", but
the Makefile rev = 1.95
( http://www.freebsd.org/cgi/cvsweb.cgi/ports/lang/mono/Makefile?rev=1.95;content-type=text%2Fplain )
has no strings MAKE_JOBS_UNSAFE = yes, unlike rev = 1.90
( http://www.freebsd.org/cgi/cvsweb.cgi/ports/lang/mono/Makefile?rev=1.90;content-type=text%2Fplain ).
And the port is still not going without it:
<snip>
...
mv -f .deps/darwin_stop_world.Tpo .deps/darwin_stop_world.Plo
/bin/sh ./libtool --tag=CC   --mode=link cc  -O2 -mtune=native
-ftree-vectorize -mfpmath=sse -mssse3 -pipe -march=core2
-fno-strict-aliasing -g -mno-tls-direct-seg-refs -static  -o
libmonogc-static.la  allchblk.lo alloc.lo blacklst.lo checksums.lo
dbg_mlc.lo dyn_load.lo finalize.lo gc_dlopen.lo gcj_mlc.lo headers.lo
malloc.lo mallocx.lo mark.lo mark_rts.lo misc.lo new_hblk.lo obj_map.lo
os_dep.lo pcr_interface.lo ptr_chck.lo real_malloc.lo reclaim.lo
solaris_pthreads.lo solaris_threads.lo specific.lo stubborn.lo
typd_mlc.lo backgraph.lo win32_threads.lo pthread_support.lo
pthread_stop_world.lo darwin_stop_world.lo  mach_dep.lo -pthread
libtool: compile:  cc -DPACKAGE_NAME=\"libgc-mono\"
-DPACKAGE_TARNAME=\"libgc-mono\" -DPACKAGE_VERSION=\"6.6\"
"-DPACKAGE_STRING=\"libgc-mono 6.6\""
-DPACKAGE_BUGREPORT=\"Hans_Boehm@hp.com\" -DGC_FREEBSD_THREADS=1
-DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1
-DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1
-DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1
-DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DSILENT=1
-DNO_SIGNALS=1 -DNO_EXECUTE_PERMISSION=1 -DJAVA_FINALIZATION=1
-DGC_GCJ_SUPPORT=1 -DATOMIC_UNCOLLECTABLE=1 -D_IN_LIBGC=1 -I./.. -I./..
-I./include -DGC_FREEBSD_THREADS -DPLATFORM_BSD -O2 -mtune=native
-ftree-vectorize -mfpmath=sse -mssse3 -pipe -march=core2
-fno-strict-aliasing -g -mno-tls-direct-seg-refs -MT mach_dep.lo -MD
-MP -MF .deps/mach_dep.Tpo -c mach_dep.c -o mach_dep.o >/dev/null 2>&1
libtool: link: `mach_dep.lo' is not a valid libtool object gmake[3]:
*** [libmonogc-static.la] Error 1 gmake[3]: *** Waiting for unfinished
jobs.... mv -f .deps/mach_dep.Tpo .deps/mach_dep.Plo gmake[3]: Leaving
directory `/usr/ports_build/usr/ports/lang/mono/work/mono-2.6.7/libgc'
gmake[2]: *** [all-recursive] Error 1 gmake[2]: Leaving directory
`/usr/ports_build/usr/ports/lang/mono/work/mono-2.6.7/libgc' gmake[1]:
*** [all-recursive] Error 1 gmake[1]: Leaving directory
`/usr/ports_build/usr/ports/lang/mono/work/mono-2.6.7' gmake: *** [all]
Error 2 ===> Compilation failed unexpectedly. You have chosen to use
multiple make jobs (parallelization) for all ports. This port was not
tested for this setting.  Please remove FORCE_MAKE_JOBS and retry the
build before reporting the failure to the maintainer. *** Error code 1

Stop in /usr/ports/lang/mono.
*** Error code 1

Stop in /usr/ports/lang/mono.

</snip>
I think that option MAKE_JOBS_UNSAFE = yes should still be present in
the Makefile rev = 1.95...

Thanks.
Comment 4 dfilter service freebsd_committer 2011-05-13 17:13:06 UTC
romain      2011-05-13 16:12:53 UTC

  FreeBSD ports repository

  Modified files:
    lang/mono            Makefile 
  Log:
  Force commit to fix wrong info in last commit log
  
  PR:             ports/143537
  Submitted by:   Ivan Klymenko <fidaj@ukr.net>
  Pointy hat to:  me
  
  Revision  Changes    Path
  1.97      +0 -0      ports/lang/mono/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Romain Tartière freebsd_committer 2014-06-01 07:14:36 UTC
Responsible Changed
From-To: mono->romain

I'll take it.
Comment 6 Romain Tartière freebsd_committer 2014-06-01 07:14:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!